%define name dmalloc
%define version 4.8.1
%define release 1mdk


Name: %{name}
Version: %{version}
Release: %{release}
Summary: Debugging MALLOC
Copyright: distributable
URL: http://dmalloc.com/
Group: Development/Other
Source: %{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-buildroot

%description
The debug memory allocation or "dmalloc" library has been designed
as a drop in replacement for the system's `malloc', `realloc',
`calloc', `free' and other memory management routines while providing
powerful debugging facilities configurable at runtime.  These
facilities include such things as memory-leak tracking, fence-post write
detection, file/line number reporting, and general logging of
statistics.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
rm -f contrib/*.orig

%build

sh ./configure --prefix=$RPM_BUILD_ROOT%{_prefix}
make
# test this puppy
make heavy

%install
make install
make infodir=$RPM_BUILD_ROOT%{_infodir} installinfo

# install docs by hand
install -m 755 -d $RPM_BUILD_ROOT/usr/doc/dmalloc-4.2.0
#install -m 644 {ChangeLog,INSTALL,NEWS,NOTES,README,TODO} $RPM_BUILD_ROOT/usr/doc/dmalloc-4.2.0

%post
/sbin/install-info /%{_prefix}/info/%{name}.info.*

%postun
/sbin/install-info --delete /%{_prefix}/info/%{name}.info.*

%files
%defattr (-,root,root)
%doc ChangeLog,INSTALL,NEWS,NOTES,README,TODO 
%{_includedir}/*
%{_libdir}/*
%{_infodir}/*
%{_bindir}/*

%changelog
* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.8.1-1mdk
- updated to 4.8.1

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.2.0-3mdk
- BM

* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.2.0-2mdk
- fix group 
- fix files section
- bzip2 patches

* Thu Feb 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
